﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.ComponentModel;

namespace EmrDatastructure
{
    public partial class EmrSmoking
    {
        public int Id { get; set; }
        [HiddenInput(DisplayValue = false)]
        [Timestamp]
        public byte[] VersionNumber { get; set; }
        [HiddenInput(DisplayValue = false)]
        public string EmrDemographicId { get; set; }
        [DisplayName("Smoking Status")]
        public int Status { get; set; }
        /*
            1  Current every day smoker

            2  Current some day smoker

            3  Former smoker

            4  Never smoker

            5  Smoker, current status unknown

            9  Unknown if ever smoked

         */
    }
}
