﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using EmrDatastructure;

namespace BSC
{
    public partial interface IEmrService
    {
        [OperationContract]
        void DeleteEmrDemographic(string identificationNumber);
        [OperationContract]
        void CreateEmrDemographic(EmrDemographic r);
        [OperationContract]
        EmrDemographic ReadEmrDemographic(string identificationNumber);
        [OperationContract]
        System.Collections.Generic.IList<EmrDemographic> ReadListEmrDemographic(string howToSpec);
        [OperationContract]
        System.Collections.Generic.IList<EmrDemographic> SearchList(string orLastName, string orFirstName, DateTime? orDateOfBirth);
        [OperationContract]
        void UpdateEmrDemographic(EmrDemographic r);
    }
}
