﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ComponentModel.DataAnnotations;

namespace EmrDatastructure
{
    public partial class EmrProblem
    {
        public int Id { get; set; }
        [Timestamp]
        public byte[] VersionNumber { get; set; }
        public string EmrDemographicId { get; set; }

        public string Snomed_CT { get; set; }
        public string Description { get; set; }
        public string Status { get; set; }  // resolved, active, inactive
        public DateTime DateDiagnosed { get; set; }
        public DateTime? DateModified { get; set; }
    }
}
