﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace MvcEmrRazor
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());

            //filters.Add(new Mvc3Filter.Filters.RequestLogFilter());
            //// Remove comment to make TraceActionFilterAttribute global
            ////filters.Add(new Mvc3Filter.Filters.TraceActionFilterAttribute());
            //var provider = new RequestTimingFilterProvider();
            //provider.Add(c => c.HttpContext.IsDebuggingEnabled ? new RequestTimingFilter() : null);
            //FilterProviders.Providers.Add(provider);
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );
            //routes.MapRoute(
            //               "Default", // Route name
            //               "{controller}/{action}/{id}", // URL with parameters
            //               new { controller = "Test", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            //           );
        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);
        }
    }
}